triggerHooks.fireTrigger
POST
/v1/hooks/triggers/{triggerId}
const url = 'https://example.com/v1/hooks/triggers/example';const options = { method: 'POST', headers: {'idempotency-key': 'example', 'Content-Type': 'application/json'}, body: '"example"'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/hooks/triggers/example \ --header 'Content-Type: application/json' \ --header 'idempotency-key: example' \ --data '"example"'Gives the task of the trigger to its Bot. Send Authorization: Bearer <webhook secret>. The JSON body goes to the Bot as data, not as instructions. The task works for the actor of the trigger.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”triggerId
required
string
Header Parameters
Section titled “Header Parameters”idempotency-key
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Example generated
exampleResponses
Section titled “Responses”Success
Media typeapplication/json
object
executionId
required
string
commandKey
required
string
sequence
required
integer
delegation
required
string
Example generated
{ "executionId": "example", "commandKey": "example", "sequence": 1, "delegation": "example"}TriggerHookDenied
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "TriggerHookDenied"}ExecutionForbidden
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "ExecutionForbidden"}ExecutionNotFound
Media typeapplication/json
object
_tag
required
string
id
required
string
Example
{ "_tag": "ExecutionNotFound"}ExecutionConflict | ExecutionKeyConflict | TriggerInvalid
ExecutionUnavailable | TriggerStorageUnavailable | RequestFailed